Bug 1939752 - ovnkube-master sbdb container does not set requests on cpu or memory
Summary: ovnkube-master sbdb container does not set requests on cpu or memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Dan Williams
QA Contact: Dan Brahaney
URL:
Whiteboard:
Depends On:
Blocks: 1957749 1959021
TreeView+ depends on / blocked
 
Reported: 2021-03-17 00:15 UTC by Clayton Coleman
Modified: 2021-07-27 22:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:53:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1026 0 None open Bug 1939752: ovnkube: add missing resource requests for SBDB 2021-03-17 02:25:48 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:20 UTC

Description Clayton Coleman 2021-03-17 00:15:45 UTC
All platform containers should have requests for cpu and memory as described in 

https://github.com/openshift/enhancements/blob/master/CONVENTIONS.md#resources-and-limits

The new e2e that verifies this caught this on the ovn jobs (this was the only gap it detected:

fail [github.com/onsi/ginkgo@v4.7.0-origin.0+incompatible/internal/leafnodes/runner.go:113]: Mar 16 22:22:45.159: Pods in platform namespaces are not following resource request/limit rules or do not have an exception granted:
  apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb does not have a cpu request (rule: "apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb/request[cpu]")
  apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb does not have a memory request (rule: "apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb/request[memory]")

Add both requests and then open a PR to openshift-tests to remove the temporary override (the constraint will report ovnkube-master as a flake on e2e run).

Comment 2 Dan Brahaney 2021-04-08 14:13:30 UTC
❯ oc get -o yaml -n openshift-ovn-kubernetes ds ovnkube-master
...
        resources:
          requests:
            cpu: 10m
            memory: 300Mi
...

verified on build registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-04-08-005413

Comment 5 errata-xmlrpc 2021-07-27 22:53:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.